package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/8/23.
 */
@Entity
@Table(name = "wlyy_patient_register")
public class WlyyPatientRegisterDO extends UuidIdentityEntity {

    private String patient;//居民id
    private String patientName;//居民姓名
    private String doctor;//就诊医生
    private String doctorName;//就诊医生姓名
    private String dept;//部门
    private String deptName;//部门号
    private String conNo;//就诊次数
    private String registerNo;//挂号流水号',
    private String date;//yyyy-MM-dd',
    private Integer del;//删除标识
    private Date createTime;//创建时间',
    /**
     * his单据号
     */
    private String xtgzh;

    /**
     * 处方号
     */
    private String realOrder;

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getConNo() {
        return conNo;
    }

    public void setConNo(String conNo) {
        this.conNo = conNo;
    }

    public String getRegisterNo() {
        return registerNo;
    }

    public void setRegisterNo(String registerNo) {
        this.registerNo = registerNo;
    }
    
    @Column(name = "register_date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getXtgzh() {
        return xtgzh;
    }

    public void setXtgzh(String xtgzh) {
        this.xtgzh = xtgzh;
    }

    public String getRealOrder() {
        return realOrder;
    }

    public void setRealOrder(String realOrder) {
        this.realOrder = realOrder;
    }
}
